Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.editor.client
Interface HasEditorDelegate<T>

Type Parameters:
  `T` - the type of object the EditorDelegate operates on

All Superinterfaces:
  Editor<T>

All Known Subinterfaces:
  CompositeEditor<T,C,E>, ValueAwareEditor<T>

All Known Implementing Classes:
  HasDataEditor, ListEditor, OptionalFieldEditor, ValueBoxEditor

    public interface HasEditorDelegate<T>

extends Editor<T>

Indicates that an Editor requires an EditorDelegate.

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.gwt.editor.client.Editor
`Editor.Ignore, Editor.Path`

Method Summary
`void` | `setDelegate(EditorDelegate<T> delegate)` Called by the EditorDriver to provide access to the EditorDelegate the Editor is peered with.

Method Detail

### setDelegate

    void setDelegate(EditorDelegate<T> delegate)

  Called by the EditorDriver to provide access to the EditorDelegate the Editor is peered with.

  Parameters:
    `delegate` - an `EditorDelegate` of type T

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD